Summary:	ObexFTP over Bluetooth support for GNOME
Name:		gnome-vfs2-obexftp
Version:	0.4
Release:	2%{?dist}
License:	GPL
Group:		Applications/Communications
URL:		http://www.gnome.org/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-vfs-obexftp/%{version}/gnome-vfs-obexftp-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gawk
BuildRequires:  perl(XML::Parser)
BuildRequires:	gnome-vfs2-devel >= 2.15.3
BuildRequires:	dbus-glib-devel >= 0.70
BuildRequires:  openobex-devel
BuildRequires:	expat-devel
BuildRequires:	bluez-libs-devel

%description
gnome-vfs2-obexftp allows you to browse filesystems on mobile phones, or other
computers over Bluetooth, using ObexFTP. It is useful to see pictures taken
with your camera phone, or manage ringtones and themes.

%prep
%setup -q -n gnome-vfs-obexftp-%{version}

%build
%configure --enable-nautilus-workaround --disable-dependency-tracking

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT/
make install DESTDIR=$RPM_BUILD_ROOT

# remove unpackaged file
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog README README.unsupported
%config %{_sysconfdir}/gnome-vfs-2.0/modules/obex-module.conf
%{_libdir}/gnome-vfs-2.0/modules/*.so

%changelog
* Fri Aug 24 2007 Adam Jackson <ajax@redhat.com> - 0.4-2
- Rebuild for PPC toolchain bug

* Thu Jul 26 2007 - Bastien Nocera <bnocera@redhat.com> - 0.4-1
- Update to 0.4

* Fri Jun 15 2007 - Bastien Nocera <bnocera@redhat.com> - 0.3-1
- Update to 0.3
- Drop merged patches
- Licence clarification are now in the upstream AUTHORS file
- Move TODO items to upstream bug tool

* Sat Jun 02 2007 - Bastien Nocera <bnocera@redhat.com> - 0.2-7
- Fix crash when we can't connect through an rfcomm socket, reported
  by Olivier Fourdan

* Wed May 30 2007 - Bastien Nocera <bnocera@redhat.com> - 0.2-6
- Fix description, this package isn't split from gnome-vfs2
- Add the dist to the release
- Use the "perl correct" build requires for intltool's dependencies
- Add missing BRs for the autoreconf
- Add TODO file

* Wed May 30 2007 - Bastien Nocera <bnocera@redhat.com> - 0.2-5
- Use rfcomm sockets instead of the RFCOMM and/or Serial services
  (faster, cleaner, more robust), rmeove bluez-utils requirement
- Assume an empty version in the obex FTP listing is still fine
- Remove obsolete obex://rfcommX/path/to/file URI support
- List all known devices in obex:/// not just bonded ones

* Sun May 27 2007 - Bastien Nocera <bnocera@redhat.com> - 0.2-4
- And some other patches for the read retval fix, and a write retval fix

* Sat May 26 2007 - Bastien Nocera <bnocera@redhat.com> - 0.2-3
- Apply an upstream patch to osso-gwobex, to avoid the build warnings
- Add a licence file to clarify why the package is GPL
- Use the new bluez-libs serial service, instead of the old RFCOMM interface

* Mon Mar 12 2007 - Bastien Nocera <bnocera@redhat.com> - 0.2-2
- Fix some cosmetic issues, thanks to Ville Skyttä <ville.skytta@iki.fi>

* Mon Mar 05 2007 - Bastien Nocera <bnocera@redhat.com> - 0.2-1
- First version based on the Mandriva package

